diff --git a/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java b/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
index 6e782f5ab147607009fe2c6c43760bc4a6b786cf..063528367a88e8d9835833b804655829e5de0786 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
@@ -18,6 +18,7 @@
 package com.netscape.cms.servlet.request;
 
 import java.io.IOException;
+import java.math.BigInteger;
 import java.security.NoSuchAlgorithmException;
 import java.security.cert.Certificate;
 import java.security.cert.CertificateEncodingException;
@@ -122,56 +123,56 @@ public class ProcessCertReq extends CMSServlet {
     private final static byte EOL[] = { Character.LINE_SEPARATOR };
     private final static String[] SIGNED_AUDIT_MANUAL_CANCELLATION_REASON = new String[] {
 
-    /* 0 */"manual non-profile cert request cancellation:  "
-            + "request cannot be processed due to an "
-            + "authorization failure",
+            /* 0 */"manual non-profile cert request cancellation:  "
+                    + "request cannot be processed due to an "
+                    + "authorization failure",
 
-    /* 1 */"manual non-profile cert request cancellation:  "
-            + "no reason has been given for cancelling this "
-            + "cert request",
+            /* 1 */"manual non-profile cert request cancellation:  "
+                    + "no reason has been given for cancelling this "
+                    + "cert request",
 
-    /* 2 */"manual non-profile cert request cancellation:  "
-            + "indeterminate reason for inability to process "
-            + "cert request due to an EBaseException",
+            /* 2 */"manual non-profile cert request cancellation:  "
+                    + "indeterminate reason for inability to process "
+                    + "cert request due to an EBaseException",
 
-    /* 3 */"manual non-profile cert request cancellation:  "
-            + "indeterminate reason for inability to process "
-            + "cert request due to an IOException",
+            /* 3 */"manual non-profile cert request cancellation:  "
+                    + "indeterminate reason for inability to process "
+                    + "cert request due to an IOException",
 
-    /* 4 */"manual non-profile cert request cancellation:  "
-            + "indeterminate reason for inability to process "
-            + "cert request due to a CertificateException",
+            /* 4 */"manual non-profile cert request cancellation:  "
+                    + "indeterminate reason for inability to process "
+                    + "cert request due to a CertificateException",
 
-    /* 5 */"manual non-profile cert request cancellation:  "
-            + "indeterminate reason for inability to process "
-            + "cert request due to a NoSuchAlgorithmException"
-        };
+            /* 5 */"manual non-profile cert request cancellation:  "
+                    + "indeterminate reason for inability to process "
+                    + "cert request due to a NoSuchAlgorithmException"
+    };
     private final static String[] SIGNED_AUDIT_MANUAL_REJECTION_REASON = new String[] {
 
-    /* 0 */"manual non-profile cert request rejection:  "
-            + "request cannot be processed due to an "
-            + "authorization failure",
+            /* 0 */"manual non-profile cert request rejection:  "
+                    + "request cannot be processed due to an "
+                    + "authorization failure",
 
-    /* 1 */"manual non-profile cert request rejection:  "
-            + "no reason has been given for rejecting this "
-            + "cert request",
+            /* 1 */"manual non-profile cert request rejection:  "
+                    + "no reason has been given for rejecting this "
+                    + "cert request",
 
-    /* 2 */"manual non-profile cert request rejection:  "
-            + "indeterminate reason for inability to process "
-            + "cert request due to an EBaseException",
+            /* 2 */"manual non-profile cert request rejection:  "
+                    + "indeterminate reason for inability to process "
+                    + "cert request due to an EBaseException",
 
-    /* 3 */"manual non-profile cert request rejection:  "
-            + "indeterminate reason for inability to process "
-            + "cert request due to an IOException",
+            /* 3 */"manual non-profile cert request rejection:  "
+                    + "indeterminate reason for inability to process "
+                    + "cert request due to an IOException",
 
-    /* 4 */"manual non-profile cert request rejection:  "
-            + "indeterminate reason for inability to process "
-            + "cert request due to a CertificateException",
+            /* 4 */"manual non-profile cert request rejection:  "
+                    + "indeterminate reason for inability to process "
+                    + "cert request due to a CertificateException",
 
-    /* 5 */"manual non-profile cert request rejection:  "
-            + "indeterminate reason for inability to process "
-            + "cert request due to a NoSuchAlgorithmException"
-        };
+            /* 5 */"manual non-profile cert request rejection:  "
+                    + "indeterminate reason for inability to process "
+                    + "cert request due to a NoSuchAlgorithmException"
+    };
     private final static String LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST =
             "LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST_5";
     private final static String LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED =
@@ -200,7 +201,7 @@ public class ProcessCertReq extends CMSServlet {
 
             if (id != null) {
                 if (!(auditServiceID.equals(
-                            AGENT_CA_CLONE_ENROLLMENT_SERVLET))
+                        AGENT_CA_CLONE_ENROLLMENT_SERVLET))
                         && !(auditServiceID.equals(
                                 AGENT_RA_CLONE_ENROLLMENT_SERVLET))) {
                     auditServiceID = ILogger.UNIDENTIFIED;
@@ -223,7 +224,7 @@ public class ProcessCertReq extends CMSServlet {
 
             try {
                 mReqCompletedTemplate = sc.getInitParameter(
-                            PROP_REQ_COMPLETED_TEMPLATE);
+                        PROP_REQ_COMPLETED_TEMPLATE);
                 if (mReqCompletedTemplate == null)
                     mReqCompletedTemplate = REQ_COMPLETED_TEMPLATE;
                 String tmp = sc.getInitParameter(PROP_EXTRA_AGENT_PARAMS);
@@ -263,7 +264,7 @@ public class ProcessCertReq extends CMSServlet {
         String signatureAlgorithm = null;
         long notValidBefore = 0;
         long notValidAfter = 0;
-        int seqNum = -1;
+        BigInteger seqNum = BigInteger.ONE.negate();
         EBaseException error = null;
 
         HttpServletRequest req = cmsReq.getHttpReq();
@@ -289,7 +290,7 @@ public class ProcessCertReq extends CMSServlet {
             if (req.getParameter(SEQNUM) != null) {
                 CMS.debug(
                         "ProcessCertReq: parameter seqNum " + req.getParameter(SEQNUM));
-                seqNum = Integer.parseInt(req.getParameter(SEQNUM));
+                seqNum = new BigInteger(req.getParameter(SEQNUM));
             }
             String notValidBeforeStr = req.getParameter("notValidBefore");
 
@@ -311,20 +312,19 @@ public class ProcessCertReq extends CMSServlet {
 
             IRequest r = null;
 
-            if (seqNum > -1) {
-                r = mQueue.findRequest(new RequestId(
-                            Integer.toString(seqNum)));
+            if (seqNum.compareTo(BigInteger.ONE.negate()) > 0) {
+                r = mQueue.findRequest(new RequestId(seqNum.toString()));
             }
 
-            if (seqNum > -1 && r != null) {
+            if (seqNum.compareTo(BigInteger.ONE.negate()) > 0 && r != null) {
                 processX509(cmsReq, argSet, header, seqNum, req, resp,
                         toDo, signatureAlgorithm, subject,
                         notValidBefore, notValidAfter, locale[0], startTime);
             } else {
-                log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_INVALID_REQUEST_ID_1", String.valueOf(seqNum)));
+                log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_INVALID_REQUEST_ID_1", seqNum.toString()));
                 error = new ECMSGWException(
                         CMS.getUserMessage("CMS_GW_INVALID_REQUEST_ID",
-                                String.valueOf(seqNum)));
+                                seqNum.toString()));
             }
         } catch (EBaseException e) {
             error = e;
@@ -399,7 +399,7 @@ public class ProcessCertReq extends CMSServlet {
      */
     private void processX509(CMSRequest cmsReq,
             CMSTemplateParams argSet, IArgBlock header,
-            int seqNum, HttpServletRequest req,
+            BigInteger seqNum, HttpServletRequest req,
             HttpServletResponse resp,
             String toDo, String signatureAlgorithm,
             String subject,
@@ -423,8 +423,7 @@ public class ProcessCertReq extends CMSServlet {
         }
 
         try {
-            IRequest r = mQueue.findRequest(new RequestId(
-                        Integer.toString(seqNum)));
+            IRequest r = mQueue.findRequest(new RequestId(seqNum.toString()));
 
             if (r != null) {
                 // overwrite "auditRequesterID" if and only if "id" != null
@@ -444,7 +443,7 @@ public class ProcessCertReq extends CMSServlet {
 
                 try {
                     authzToken = authorize(mAclMethod, authToken,
-                                mAuthzResourceName, "execute");
+                            mAuthzResourceName, "execute");
                 } catch (EAuthzAccessDenied e) {
                     log(ILogger.LL_FAILURE,
                             CMS.getLogMessage("ADMIN_SRVLT_AUTH_FAILURE",
@@ -462,45 +461,45 @@ public class ProcessCertReq extends CMSServlet {
                     if (toDo.equals(SIGNED_AUDIT_CLONING)) {
                         // ("agent" cert request for "cloning")
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
-                                    auditSubjectID,
-                                    ILogger.FAILURE,
-                                    auditRequesterID,
-                                    auditServiceID,
-                                    auditCertificateSubjectName);
+                                LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                                auditSubjectID,
+                                ILogger.FAILURE,
+                                auditRequesterID,
+                                auditServiceID,
+                                auditCertificateSubjectName);
 
                         audit(auditMessage);
                     } else if (toDo.equals(SIGNED_AUDIT_ACCEPTANCE)) {
                         // (manual "agent" cert request processed - "accepted")
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                    auditSubjectID,
-                                    ILogger.FAILURE,
-                                    auditRequesterID,
-                                    auditInfoName,
-                                    ILogger.SIGNED_AUDIT_EMPTY_VALUE);
+                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                auditSubjectID,
+                                ILogger.FAILURE,
+                                auditRequesterID,
+                                auditInfoName,
+                                ILogger.SIGNED_AUDIT_EMPTY_VALUE);
 
                         audit(auditMessage);
                     } else if (toDo.equals(SIGNED_AUDIT_CANCELLATION)) {
                         // (manual "agent" cert request processed - "cancelled")
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                    auditSubjectID,
-                                    ILogger.FAILURE,
-                                    auditRequesterID,
-                                    auditInfoName,
-                                    SIGNED_AUDIT_MANUAL_CANCELLATION_REASON[0]);
+                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                auditSubjectID,
+                                ILogger.FAILURE,
+                                auditRequesterID,
+                                auditInfoName,
+                                SIGNED_AUDIT_MANUAL_CANCELLATION_REASON[0]);
 
                         audit(auditMessage);
                     } else if (toDo.equals(SIGNED_AUDIT_REJECTION)) {
                         // (manual "agent" cert request processed - "rejected")
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                    auditSubjectID,
-                                    ILogger.FAILURE,
-                                    auditRequesterID,
-                                    auditInfoName,
-                                    SIGNED_AUDIT_MANUAL_REJECTION_REASON[0]);
+                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                auditSubjectID,
+                                ILogger.FAILURE,
+                                auditRequesterID,
+                                auditInfoName,
+                                SIGNED_AUDIT_MANUAL_REJECTION_REASON[0]);
 
                         audit(auditMessage);
                     }
@@ -943,12 +942,12 @@ public class ProcessCertReq extends CMSServlet {
                                 // (one for each manual "agent"
                                 //  cert request processed - "accepted")
                                 auditMessage = CMS.getLogMessage(
-                                            LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                            auditSubjectID,
-                                            ILogger.SUCCESS,
-                                            auditRequesterID,
-                                            auditInfoName,
-                                            auditInfoCertValue(issuedCerts[i]));
+                                        LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                        auditSubjectID,
+                                        ILogger.SUCCESS,
+                                        auditRequesterID,
+                                        auditInfoName,
+                                        auditInfoCertValue(issuedCerts[i]));
 
                                 audit(auditMessage);
                             }
@@ -987,12 +986,12 @@ public class ProcessCertReq extends CMSServlet {
                             // (manual "agent" cert request processed
                             //  - "accepted")
                             auditMessage = CMS.getLogMessage(
-                                        LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                        auditSubjectID,
-                                        ILogger.SUCCESS,
-                                        auditRequesterID,
-                                        auditInfoName,
-                                        ILogger.SIGNED_AUDIT_EMPTY_VALUE);
+                                    LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                                    auditSubjectID,
+                                    ILogger.SUCCESS,
+                                    auditRequesterID,
+                                    auditInfoName,
+                                    ILogger.SIGNED_AUDIT_EMPTY_VALUE);
 
                             audit(auditMessage);
                         }
@@ -1116,12 +1115,12 @@ public class ProcessCertReq extends CMSServlet {
                     // store a message in the signed audit log file
                     // (manual "agent" cert request processed - "rejected")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                auditSubjectID,
-                                ILogger.SUCCESS,
-                                auditRequesterID,
-                                auditInfoName,
-                                SIGNED_AUDIT_MANUAL_REJECTION_REASON[1]);
+                            LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                            auditSubjectID,
+                            ILogger.SUCCESS,
+                            auditRequesterID,
+                            auditInfoName,
+                            SIGNED_AUDIT_MANUAL_REJECTION_REASON[1]);
 
                     audit(auditMessage);
 
@@ -1178,12 +1177,12 @@ public class ProcessCertReq extends CMSServlet {
                     // store a message in the signed audit log file
                     // (manual "agent" cert request processed - "cancelled")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                auditSubjectID,
-                                ILogger.SUCCESS,
-                                auditRequesterID,
-                                auditInfoName,
-                                SIGNED_AUDIT_MANUAL_CANCELLATION_REASON[1]);
+                            LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                            auditSubjectID,
+                            ILogger.SUCCESS,
+                            auditRequesterID,
+                            auditInfoName,
+                            SIGNED_AUDIT_MANUAL_CANCELLATION_REASON[1]);
 
                     audit(auditMessage);
 
@@ -1245,12 +1244,12 @@ public class ProcessCertReq extends CMSServlet {
                     // store a message in the signed audit log file
                     // ("agent" cert request for "cloning")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
-                                auditSubjectID,
-                                ILogger.SUCCESS,
-                                auditRequesterID,
-                                auditServiceID,
-                                auditCertificateSubjectName);
+                            LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                            auditSubjectID,
+                            ILogger.SUCCESS,
+                            auditRequesterID,
+                            auditServiceID,
+                            auditCertificateSubjectName);
 
                     audit(auditMessage);
                 }
@@ -1264,7 +1263,7 @@ public class ProcessCertReq extends CMSServlet {
             if (CMS.getSubsystem("ra") != null)
                 header.addStringValue("localra", "yes");
 
-            header.addIntegerValue("seqNum", seqNum);
+            header.addBigIntegerValue("seqNum", seqNum, 10);
             mParser.fillRequestIntoArg(locale, r, argSet, header);
             String rid = r.getExtDataInString(IRequest.REMOTE_REQID);
 
@@ -1278,45 +1277,45 @@ public class ProcessCertReq extends CMSServlet {
                 if (toDo.equals(SIGNED_AUDIT_CLONING)) {
                     // ("agent" cert request for "cloning")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                auditRequesterID,
-                                auditServiceID,
-                                auditCertificateSubjectName);
+                            LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                            auditSubjectID,
+                            ILogger.FAILURE,
+                            auditRequesterID,
+                            auditServiceID,
+                            auditCertificateSubjectName);
 
                     audit(auditMessage);
                 } else if (toDo.equals(SIGNED_AUDIT_ACCEPTANCE)) {
                     // (manual "agent" cert request processed - "accepted")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                auditRequesterID,
-                                auditInfoName,
-                                ILogger.SIGNED_AUDIT_EMPTY_VALUE);
+                            LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                            auditSubjectID,
+                            ILogger.FAILURE,
+                            auditRequesterID,
+                            auditInfoName,
+                            ILogger.SIGNED_AUDIT_EMPTY_VALUE);
 
                     audit(auditMessage);
                 } else if (toDo.equals(SIGNED_AUDIT_CANCELLATION)) {
                     // (manual "agent" cert request processed - "cancelled")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                auditRequesterID,
-                                auditInfoName,
-                                SIGNED_AUDIT_MANUAL_CANCELLATION_REASON[2]);
+                            LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                            auditSubjectID,
+                            ILogger.FAILURE,
+                            auditRequesterID,
+                            auditInfoName,
+                            SIGNED_AUDIT_MANUAL_CANCELLATION_REASON[2]);
 
                     audit(auditMessage);
                 } else if (toDo.equals(SIGNED_AUDIT_REJECTION)) {
                     // (manual "agent" cert request processed - "rejected")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                auditRequesterID,
-                                auditInfoName,
-                                SIGNED_AUDIT_MANUAL_REJECTION_REASON[2]);
+                            LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                            auditSubjectID,
+                            ILogger.FAILURE,
+                            auditRequesterID,
+                            auditInfoName,
+                            SIGNED_AUDIT_MANUAL_REJECTION_REASON[2]);
 
                     audit(auditMessage);
                 }
@@ -1331,45 +1330,45 @@ public class ProcessCertReq extends CMSServlet {
                 if (toDo.equals(SIGNED_AUDIT_CLONING)) {
                     // ("agent" cert request for "cloning")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                auditRequesterID,
-                                auditServiceID,
-                                auditCertificateSubjectName);
+                            LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                            auditSubjectID,
+                            ILogger.FAILURE,
+                            auditRequesterID,
+                            auditServiceID,
+                            auditCertificateSubjectName);
 
                     audit(auditMessage);
                 } else if (toDo.equals(SIGNED_AUDIT_ACCEPTANCE)) {
                     // (manual "agent" cert request processed - "accepted")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                auditRequesterID,
-                                auditInfoName,
-                                ILogger.SIGNED_AUDIT_EMPTY_VALUE);
+                            LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                            auditSubjectID,
+                            ILogger.FAILURE,
+                            auditRequesterID,
+                            auditInfoName,
+                            ILogger.SIGNED_AUDIT_EMPTY_VALUE);
 
                     audit(auditMessage);
                 } else if (toDo.equals(SIGNED_AUDIT_CANCELLATION)) {
                     // (manual "agent" cert request processed - "cancelled")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                auditRequesterID,
-                                auditInfoName,
-                                SIGNED_AUDIT_MANUAL_CANCELLATION_REASON[3]);
+                            LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                            auditSubjectID,
+                            ILogger.FAILURE,
+                            auditRequesterID,
+                            auditInfoName,
+                            SIGNED_AUDIT_MANUAL_CANCELLATION_REASON[3]);
 
                     audit(auditMessage);
                 } else if (toDo.equals(SIGNED_AUDIT_REJECTION)) {
                     // (manual "agent" cert request processed - "rejected")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                auditRequesterID,
-                                auditInfoName,
-                                SIGNED_AUDIT_MANUAL_REJECTION_REASON[3]);
+                            LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                            auditSubjectID,
+                            ILogger.FAILURE,
+                            auditRequesterID,
+                            auditInfoName,
+                            SIGNED_AUDIT_MANUAL_REJECTION_REASON[3]);
 
                     audit(auditMessage);
                 }
@@ -1385,45 +1384,45 @@ public class ProcessCertReq extends CMSServlet {
                 if (toDo.equals(SIGNED_AUDIT_CLONING)) {
                     // ("agent" cert request for "cloning")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                auditRequesterID,
-                                auditServiceID,
-                                auditCertificateSubjectName);
+                            LOGGING_SIGNED_AUDIT_NON_PROFILE_CERT_REQUEST,
+                            auditSubjectID,
+                            ILogger.FAILURE,
+                            auditRequesterID,
+                            auditServiceID,
+                            auditCertificateSubjectName);
 
                     audit(auditMessage);
                 } else if (toDo.equals(SIGNED_AUDIT_ACCEPTANCE)) {
                     // (manual "agent" cert request processed - "accepted")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                auditRequesterID,
-                                auditInfoName,
-                                ILogger.SIGNED_AUDIT_EMPTY_VALUE);
+                            LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                            auditSubjectID,
+                            ILogger.FAILURE,
+                            auditRequesterID,
+                            auditInfoName,
+                            ILogger.SIGNED_AUDIT_EMPTY_VALUE);
 
                     audit(auditMessage);
                 } else if (toDo.equals(SIGNED_AUDIT_CANCELLATION)) {
                     // (manual "agent" cert request processed - "cancelled")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                auditRequesterID,
-                                auditInfoName,
-                                SIGNED_AUDIT_MANUAL_CANCELLATION_REASON[4]);
+                            LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                            auditSubjectID,
+                            ILogger.FAILURE,
+                            auditRequesterID,
+                            auditInfoName,
+                            SIGNED_AUDIT_MANUAL_CANCELLATION_REASON[4]);
 
                     audit(auditMessage);
                 } else if (toDo.equals(SIGNED_AUDIT_REJECTION)) {
                     // (manual "agent" cert request processed - "rejected")
                     auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                auditRequesterID,
-                                auditInfoName,
-                                SIGNED_AUDIT_MANUAL_REJECTION_REASON[4]);
+                            LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED,
+                            auditSubjectID,
+                            ILogger.FAILURE,
+                            auditRequesterID,
+                            auditInfoName,
+                            SIGNED_AUDIT_MANUAL_REJECTION_REASON[4]);
 
                     audit(auditMessage);
                 }
